Skip to content
Navigation

List entity references

GET
https://api.sureshake.com/v2/entities/{entityId}/references

Path parameters

  • entityId
    string
    required
    format: uuid

Query parameters

  • referenceType
    optional
    credit
    or
    customer
    or
    all
    default: "all"
  • onlyVerified
    optional
    boolean

Returns

200

Default Response

JSON
  • entity
    object
    required
    • id
      string
      required
    • name
      string
      required
    • slug
      string
      required
    • entityType
      optional
      string
      or null
    • verified
      optional
      boolean
  • creditReferences
    array of
    object
    required
    • entity
      object
      required
      • id
        string
        required
      • name
        string
        required
      • slug
        string
        required
      • entityType
        optional
        string
        or null
      • verified
        optional
        boolean
    • relationship
      object
      required
      • referenceType
        credit
        or
        customer
        required
      • relationshipStatus
        string
        required
      • verified
        boolean
        required
      • addedBy
        string
        required
      • addedAt
        string
        required
      • updatedAt
        string
        required
      • relationshipSince
        optional
        string
        or null
      • rating
        optional
        string
        or null
      • paymentTerms
        optional
        string
        or null
      • creditLimit
        optional
        number
        or null
      • yearsOfRelationship
        optional
        number
        or null
      • notes
        optional
        string
        or null
      • verifiedAt
        optional
        string
        or null
      • contactName
        optional
        string
        or null
      • contactTitle
        optional
        string
        or null
      • contactEmail
        optional
        string
        or null
      • contactPhone
        optional
        string
        or null
  • customerReferences
    array of
    object
    required
    • entity
      object
      required
      • id
        string
        required
      • name
        string
        required
      • slug
        string
        required
      • entityType
        optional
        string
        or null
      • verified
        optional
        boolean
    • relationship
      object
      required
      • referenceType
        credit
        or
        customer
        required
      • relationshipStatus
        string
        required
      • verified
        boolean
        required
      • addedBy
        string
        required
      • addedAt
        string
        required
      • updatedAt
        string
        required
      • relationshipSince
        optional
        string
        or null
      • rating
        optional
        string
        or null
      • paymentTerms
        optional
        string
        or null
      • creditLimit
        optional
        number
        or null
      • yearsOfRelationship
        optional
        number
        or null
      • notes
        optional
        string
        or null
      • verifiedAt
        optional
        string
        or null
      • contactName
        optional
        string
        or null
      • contactTitle
        optional
        string
        or null
      • contactEmail
        optional
        string
        or null
      • contactPhone
        optional
        string
        or null

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close